OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OMViewer Class Reference

`#include <viewer.h>`

Inheritance diagram for OMViewer:

## Public Member Functions
| MDS_SHAREDPTR (OMViewer)
| OMViewer (const std::string &sDescription)
virtual | ~OMViewer ()

## Protected Member Functions
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)

## Protected Attributes
std::string | m_visualisation
double | m_ommit
std::string | m_directions
double | m_normal_lenght
int | m_vector_component

## Detailed Description

Module which loads a mesh from input MDSTk channel, converts it into osg::geometry and runs a viewer

## Constructor & Destructor Documentation

OMViewer::OMViewer | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

OMViewer::~OMViewer | ( |  | ) |
| virtual

Virtual destructor

## Member Function Documentation

bool OMViewer::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

OMViewer::MDS_SHAREDPTR | ( | OMViewer |  | ) |

Smart pointer type

void OMViewer::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

bool OMViewer::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

void OMViewer::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

## Member Data Documentation

std::string OMViewer::m_directions
| protected

Directions visualisation

double OMViewer::m_normal_lenght
| protected

Lenght of showed normals;

double OMViewer::m_ommit
| protected

Visualisation ommit

int OMViewer::m_vector_component
| protected

Vector component to visualise

std::string OMViewer::m_visualisation
| protected

Visualisation

The documentation for this class was generated from the following files:

- trunk/src/modules/Viewer/viewer.h
- trunk/src/modules/Viewer/viewer.cpp